petsc-3.4.2 2013-07-02

# VecWAXPY

Computes w = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecWAXPY(Vec w,PetscScalar alpha,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

w -the result

Notes: w cannot be either x or y, but x and y can be the same

### See Also

VecAXPY(), VecAYPX(), VecAXPBY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/ts/examples/tutorials/ex10.c.html